<?php
namespace App\Model\Entities\GameData\Mmorpg;

use App\Model\Entities\BaseNamedRecord;
use App\Model\Entities\Game;
use App\Model\Interfaces\ICommonRecord;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="region")
 */
class Region extends BaseNamedRecord implements ICommonRecord
{
    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $apiIdentifier;

    /**
     * @var Game
     * @ORM\ManyToOne(targetEntity="App\Model\Entities\Game")
     */
    protected $game;

    /**
     * @return mixed
     */
    public function getApiIdentifier()
    {
        return $this->apiIdentifier;
    }

    /**
     * @param mixed $apiIdentifier
     */
    public function setApiIdentifier($apiIdentifier)
    {
        $this->apiIdentifier = $apiIdentifier;
    }

    /**
     * @return Game
     */
    public function getGame() : Game
    {
        return $this->game;
    }

    /**
     * @param Game $game
     */
    public function setGame(Game $game)
    {
        $this->game = $game;
    }
}